Skip to main content
GET
/
api
/
transactions
List Transactions
curl --request GET \
  --url https://app.dimepayments.com/api/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [],
  "filters": []
}
'
{
  "data": [
    {
      "transaction_type": "CC",
      "transaction_status": "CC_CREDIT",
      "transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
      "transaction_number": "741046715",
      "transaction_date": "2023-02-15T19:14:44.000000Z",
      "fund_date": "2023-02-17T05:05:35.000000Z",
      "settle_date": "2023-03-24T11:30:04.000000Z",
      "amount": "1.0000",
      "description": "",
      "status_code": "",
      "status_text": "",
      "email": "",
      "phone": "",
      "customer_uuid": "",
      "multi_use_token": "",
      "pending": false,
      "transaction_info_id": "789161791",
      "parent_transaction_info_id": "",
      "billing_address": {
        "first_name": null,
        "last_name": null,
        "addr1": null,
        "addr2": null,
        "city": null,
        "state": null,
        "zip": null
      },
      "shippingAddress": {
        "addr1": null,
        "addr2": null,
        "city": null,
        "state": null,
        "zip": null
      }
    },
    {
      "transaction_type": "CC",
      "transaction_status": "CC_CREDIT",
      "transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
      "transaction_number": "741046715",
      "transaction_date": "2023-02-15T19:14:44.000000Z",
      "fund_date": "2023-02-17T05:05:35.000000Z",
      "settle_date": "2023-03-24T11:30:04.000000Z",
      "amount": "1.0000",
      "description": "",
      "status_code": "",
      "status_text": "",
      "email": "",
      "phone": "",
      "customer_uuid": "",
      "multi_use_token": "",
      "pending": false,
      "transaction_info_id": "789161791",
      "parent_transaction_info_id": "",
      "billing_address": {
        "first_name": null,
        "last_name": null,
        "addr1": null,
        "addr2": null,
        "city": null,
        "state": null,
        "zip": null
      },
      "shippingAddress": {
        "addr1": null,
        "addr2": null,
        "city": null,
        "state": null,
        "zip": null
      }
    }
  ],
  "links": {
    "prev": [
      null,
      null
    ],
    "next": [
      null,
      null
    ],
    "first": null,
    "last": null
  },
  "meta": {
    "path": [
      "/",
      "/"
    ],
    "per_page": [
      15,
      15
    ],
    "next_cursor": [
      null,
      null
    ],
    "prev_cursor": [
      null,
      null
    ]
  }
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
Example:
[]
filters
object
Example:
[]

Response

data
object[]
Example:
[
{
"transaction_type": "CC",
"transaction_status": "CC_CREDIT",
"transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
"transaction_number": "741046715",
"transaction_date": "2023-02-15T19:14:44.000000Z",
"fund_date": "2023-02-17T05:05:35.000000Z",
"settle_date": "2023-03-24T11:30:04.000000Z",
"amount": "1.0000",
"description": "",
"status_code": "",
"status_text": "",
"email": "",
"phone": "",
"customer_uuid": "",
"multi_use_token": "",
"pending": false,
"transaction_info_id": "789161791",
"parent_transaction_info_id": "",
"billing_address": {
"first_name": null,
"last_name": null,
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
},
"shippingAddress": {
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
}
},
{
"transaction_type": "CC",
"transaction_status": "CC_CREDIT",
"transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
"transaction_number": "741046715",
"transaction_date": "2023-02-15T19:14:44.000000Z",
"fund_date": "2023-02-17T05:05:35.000000Z",
"settle_date": "2023-03-24T11:30:04.000000Z",
"amount": "1.0000",
"description": "",
"status_code": "",
"status_text": "",
"email": "",
"phone": "",
"customer_uuid": "",
"multi_use_token": "",
"pending": false,
"transaction_info_id": "789161791",
"parent_transaction_info_id": "",
"billing_address": {
"first_name": null,
"last_name": null,
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
},
"shippingAddress": {
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
}
}
]
meta
object